# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Overcooked! 2 Template

game: Overcooked! 2
requires:
  version: 0.6.6 # Version of Archipelago required for this yaml to work as expected.

Overcooked! 2:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  location_balancing:
    # Location balancing affects the density of progression items found in your world relative to other worlds. This setting changes nothing for solo games.
    # 
    # - Disabled: Location density in your world can fluctuate greatly depending on the settings of other players. In extreme cases, your world may be entirely populated with filler items
    # 
    # - Compromise: Locations are balanced to a midpoint between "fair" and "natural"
    # 
    # - Full: Locations are balanced in an attempt to make the number of progression items sent out and received equal over the entire game
    disabled: 0
    compromise: 50
    full: 0

  ramp_tricks:
    # If enabled, generated games may require sequence breaks on the overworld map. This includes crossing small gaps and escaping out of bounds.
    'false': 50
    'true': 0

  deathlink:
    # DeathLink is an opt-in feature for Multiworlds where individual death events are propagated to all games with DeathLink enabled.
    # 
    # - Disabled: Death will behave as it does in the original game.
    # 
    # - Death Only: A DeathLink broadcast will be sent every time a chef falls into a stage hazard. All local chefs will be killed when any one perishes.
    # 
    # - Death and Overcook: Same as above, but an additional broadcast will be sent whenever the kitchen catches on fire from burnt food.
    disabled: 50
    death_only: 0
    death_and_overcook: 0

  shuffle_level_order:
    # Shuffles the order of kitchens on the overworld map. Also draws from DLC maps.
    'false': 0
    'true': 50

  include_dlcs:
    # Which DLCs should be included when 'Shuffle Level Order' is enabled?'
    ['Seasonal', 'Story']

  include_horde_levels:
    # Includes "Horde Defense" levels in the pool of possible kitchens when Shuffle Level Order is enabled. Also adds
    # two horde-specific items into the item pool.
    'false': 0
    'true': 50

  prep_levels:
    # Choose How "Prep Levels" are handled (levels where the timer does not start until the first order is served):
    # 
    # - Original: Prep Levels may appear
    # 
    # - Excluded: Prep Levels are excluded from the pool during level shuffling
    # 
    # - All You Can Eat: Prep Levels may appear, but the timer automatically starts. The star score requirements are also
    # adjusted to use the All You Can Eat World Record (if it exists)
    original: 0
    excluded: 50
    all_you_can_eat: 0

  kevin_levels:
    # Includes the 8 Kevin level locations on the map as unlockables. Turn off to make games shorter.
    'false': 0
    'true': 50

  fix_bugs:
    # Fixes Bugs Present in the base game:
    # - Double Serving Exploit
    # - Sink Bug
    # - Control Stick Cancel/Throw Bug
    # - Can't Throw Near Empty Burner Bug
    'false': 0
    'true': 50

  shorter_level_duration:
    # Modifies level duration to be about 1/3rd shorter than in the original game, thus bringing the item discovery
    # pace in line with other popular Archipelago games.
    # 
    # Points required to earn stars are scaled accordingly. ("Boss Levels" which change scenery mid-game are not
    # affected.)
    'false': 0
    'true': 50

  short_horde_levels:
    # Modifies horde levels to contain roughly 1/3rd fewer waves than in the original game.
    # 
    # The kitchen's health is scaled appropriately to preserve the same approximate difficulty.
    'false': 0
    'true': 50

  always_preserve_cooking_progress:
    # Modifies the game to behave more like AYCE, where adding an item to an in-progress container doesn't reset the
    # entire progress bar.
    'false': 0
    'true': 50

  always_serve_oldest_order:
    # Modifies the game so that serving an expired order doesn't target the ticket with the highest tip. This helps
    # players dig out of a broken tip combo faster.
    'false': 0
    'true': 50

  display_leaderboard_scores:
    # Modifies the Overworld map to fetch and display the current world records for each level. Press number keys 1-4
    # to view leaderboard scores for that number of players.
    'false': 50
    'true': 0

  stars_to_win:
    # Number of stars required to unlock 6-6.
    # 
    # Level purchase requirements between 1-1 and 6-6 will be spread between these two numbers. Using too high of a number
    # may result in more frequent generation failures, especially when horde levels are enabled.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    60: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-100: 0 # random value between 0 and 100

  star_threshold_scale:
    # How difficult should the third star for each level be on a scale of 1-100%, where 100% is the current world
    # record score and 45% is the average vanilla 4-star score.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 100
    35: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-100: 0 # random value between 1 and 100

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
